***************************************
* author Brunello Pulix
*        Cagliari (Italy)
*        brunellopulix@yahoo.it
*        placed in the public domain
***************************************
*
# include 'hmg.Ch'
# include 'hbRTF.Ch'
*
# define OLE_PDF  17
Declare Window Main
*
Procedure Merge_Pdf()
Local cPath
*
If Main.RadioGroup_1.Value > 4 .and. Word_Version < 12
   MsgInfo('.....Word Version too old!!!.....')
   Return
Endif
*
cPath := Diskname()+':\'+Curdir()+'\'
*
WAIT WINDOW '.....Building Rtf.....' NOWAIT
BuildPdf(cPath+'pdf\Test1.rtf',cPath+"img\Wallpaper0.txt",'P')
BuildPdf(cPath+'pdf\test2.rtf',cPath+"img\Wallpaper4.txt",'P')
BuildPdf(cPath+'pdf\test3.rtf',cPath+"img\Wallpaper5.txt",'P')
BuildPdf(cPath+'pdf\test4.rtf',cPath+"img\Wallpaper6.txt",'P')
BuildPdf(cPath+'pdf\test5.rtf',cPath+"img\Wallpaper12.txt",'L')
*
inkey(1)
WAIT CLEAR
*
RUN_OLE(cPath+'pdf\test1.rtf',cPath+'pdf\test1.pdf',OLE_PDF,'...Convert Test1...') ; inkey(1)
RUN_OLE(cPath+'pdf\test2.rtf',cPath+'pdf\test2.pdf',OLE_PDF,'...Convert Test2...') ; inkey(1)
RUN_OLE(cPath+'pdf\test3.rtf',cPath+'pdf\test3.pdf',OLE_PDF,'...Convert Test3...') ; inkey(1)
RUN_OLE(cPath+'pdf\test4.rtf',cPath+'pdf\test4.pdf',OLE_PDF,'...Convert Test4...') ; inkey(1)
RUN_OLE(cPath+'pdf\test5.rtf',cPath+'pdf\test5.pdf',OLE_PDF,'...Convert Test5...') ; inkey(1)
*
Dirchange('pdf')
*
WAIT WINDOW '.....Merge pdf.....' NOWAIT
Ferase('Temp.Pdf')
Execute file 'Pdftk.exe' Parameters 'Test1.pdf Test5.pdf Test2.pdf Test3.pdf Test4.pdf output Temp.Pdf'
inkey(1)
WAIT CLEAR
*
Execute File ('Temp.Pdf')
Execute file ('Clear.Bat')
Dirchange('..\')
*
Return
*
Procedure BuildPdf(cRtf,cWallpaper,cOrient)
Local  c1
   *
   RTF_OPEN(cRtf,{{100}},cOrient)
   *
   Rtf_WriteBmp(cWallpaper)
   RTF_WriteFree(MakeCell('This is a Sample',"20","l","","",0,"","","",''))
   *
   RTF_EmptyRow()
   RTF_EmptyRow()
   RTF_EmptyRow()
   RTF_EmptyRow()
   RTF_EmptyRow()
   c1 := 'This document was built in rtf converted to pdf with '+;
         'ole word and joined the other with pdftk Sid Steward '+;
         '(ssteward@accesspdf.com)'
   *
   RTF_WriteFree(MakeCell(c1,"20","l","","",0,"","","",''))
   *
   RTF_CLOSE()
   *
Return
*
