***************************************
* author Brunello Pulix
*        Cagliari (Italy)
*        brunellopulix@yahoo.it
*        placed in the public domain
***************************************
*
# include 'hmg.Ch'
# include 'hbRTF.Ch'
*
Function Variations()
   LOCAL aTable
   LOCAL c1
   *
   aTable := {}
   AAdd(aTable,{100})                                // TAB_1
   AAdd(aTable,{50,50})                              // TAB_2
   AAdd(aTable,{33,34,33})                           // TAB_3
   AAdd(aTable,{25,25,25,25})                        // TAB_4
   AAdd(aTable,{20,20,20,20,20})                     // TAB_5
   AAdd(aTable,{17,17,17,17,17,15})                  // TAB_6
   AAdd(aTable,{07,13,35,10,15,17})                  // TAB_7
   AAdd(aTable,{07,13,35,10,10,05,05,07,07})         // TAB_8
   AAdd(aTable,{07,13,35,10,20,07,07})               // TAB_9
   AAdd(aTable,{07,13,35,10,25})                     // TAB_10
   *
   RTF_Open(RTF_FILE,aTable,'P')
   *
   PutHeader() ; PutFooter()
   *
   RTF_WriteBmp(".\img\Wallpaper0.txt")
   *
   RTF_BookMark('_index')
   Summary()
   *
   RTF_NewSection()
   RTF_SetOrientation('P')
   RTF_BookMark('_page01') ; Page1() ; MakeIndexLink()
   *
   RTF_NewSection()
   RTF_SetOrientation('L')
   PutHeader()  ; PutFooter()
   RTF_BookMark('_page02') ;  Page2() ; MakeIndexLink()
   *
   RTF_NewSection()
   RTF_SetOrientation('P')
   PutHeader() ; PutFooter()
   RTF_BookMark('_page03') ;  Page3() ; MakeIndexLink()
   *
   RTF_NewSection()
   RTF_SetOrientation('P')
   RTF_BookMark('_page04') ;  Page4() ; MakeIndexLink()
   *
   RTF_NewSection()
   RTF_SetOrientation('P')
   RTF_BookMark('_page05') ;  Page5() ; MakeIndexLink()
   *
   RTF_NewSection()
   RTF_SetOrientation('P')
   RTF_BookMark('_page06') ;  Page6() ; MakeIndexLink()
   *
   RTF_NewSection()
   RTF_SetOrientation('P')
   RTF_BookMark('_page07') ;  Page7() ; MakeIndexLink()
   *
   RTF_NewSection()
   RTF_SetOrientation('P')
   RTF_BookMark('_page08') ;  Page8() ; MakeIndexLink()
   *
   RTF_NewSection()
   RTF_SetOrientation('L')
   PutHeader() ; PutFooter()
   RTF_BookMark('_page09') ;  Page9() ; MakeIndexLink()
   *
   Rtf_WriteBmp(".\img\Protect.txt")
   *
   RTF_Close()
   *
   RUN_WORD(RTF_FILE)
   *
RETURN nil
*
Procedure Page1()
Local c1,i
   *
   RTF_EmptyRow()
   c1 := 'This document has been realized with the class '+RtfStyle("XRTF","b",FNT_ARIAL,"30","")+'.'
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","",""))
   *
   RTF_WriteFree(MakeCell('it has one table of 11 characters : ',"20","l","","ui",0,"","",""))
   RTF_EmptyRow()
   *
   c1 := RtfStyle("Arial, "          ,"",FNT_ARIAL,"20")
   c1 += RtfStyle("Helvetica, "      ,"",FNT_HELV,"20")
   c1 += RtfStyle("Times New Roman, ","",FNT_TIMES_NEW_ROMAN,"20")
   c1 += RtfStyle("Tms Rmn, "        ,"",FNT_TMS_RMN,"20")
   c1 += RtfStyle("Roman, "          ,"",FNT_ROMAN,"20")
   c1 += RtfStyle("Modern, "         ,"",FNT_MODERN,"20")
   c1 += RtfStyle("MS_Linedraw, "    ,"",FNT_MS_LINEDRAW,"20")
   c1 += RtfStyle("Advocr_B, "       ,"",FNT_ADVOCR_B,"20")
   c1 += RtfStyle("Lucida Console, " ,"",FNT_LUCIDA_CONSOLE,"20")
   c1 += RtfStyle("Courier New, "    ,"",FNT_COURIER_NEW,"20")
   c1 += RtfStyle("TW Cent,"         ,"","10","20")
   *
   RTF_WriteFree(MakeCell(c1,"20","j","","b",0,"","",""))
   RTF_EmptyRow()
   *
   RTF_WriteFree(MakeCell('and of one table of 10 colors : ',"20","l","","ui",0,"","",""))
   c1 := ""
   FOR i := 0 TO 15
      c1 += RtfStyle("Color "+NTrim(i)+" ","",FNT_ARIAL,"20",NTrim(i))
   NEXT
   RTF_WriteFree(MakeCell(c1,"20","l","","",0,"","",""))
   RTF_EmptyRow()
   *
   RTF_WriteFree(MakeCell("Formatting of the text:","20","l","","ui",0,"","",""))
   *
   c1 := RtfStyle("bold"                     ,"b",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("underline"            ,"u",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("italic"               ,"i",FNT_ARIAL,"20")
   c1 += " "+RtfStyle("bold+underline+italic","bui",FNT_ARIAL,"20")
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","",""))
   RTF_EmptyRow()
   *
   RTF_WriteFree(MakeCell("Alignment of the text:","20","l","","ui",0,"","",""))
   RTF_WriteFree(MakeCell("left","20","l","","",0,"","",""))
   RTF_WriteFree(MakeCell("center","20","c","","",0,"","",""))
   RTF_WriteFree(MakeCell("right","20","r","","",0,"","",""))
   RTF_WriteFree(MakeCell("and justified:","20","l","","ui",0,"","",""))
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","",""))
   *
   RTF_BookMark('_page01b')
   RTF_WriteFree(MakeCell("Table 1","20","l","","b",0,"","",""))
   RTF_WriteRow(TAB_1,{;
   MakeCell("Col 1","20","c","","",0,"","","")})
   *
   RTF_WriteFree(MakeCell("Table 2","20","l","","b",0,"","",""))
   RTF_WriteRow(TAB_2,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","","")})
   *
   RTF_WriteFree(MakeCell("Table 3","20","l","","b",0,"","",""))
   RTF_WriteRow(TAB_3,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","","")})
   *
   RTF_WriteFree(MakeCell("Table 4","20","l","","b",0,"","",""))
   RTF_WriteRow(TAB_4,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","",""),;
   MakeCell("Col 4","20","c","","",0,"","","")})
   *
   RTF_WriteFree(MakeCell("Table 5","20","l","","b",0,"","",""))
   RTF_WriteRow(TAB_5,{;
   MakeCell("Col 1","20","c","","",0,"","",""),;
   MakeCell("Col 2","20","c","","",0,"","",""),;
   MakeCell("Col 3","20","c","","",0,"","",""),;
   MakeCell("Col 4","20","c","","",0,"","",""),;
   MakeCell("Col 5","20","c","","",0,"","","")})
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell("making borders:","20","l","","iu",0,"","",""))
   RTF_EmptyRow()
   RTF_WriteRow(TAB_5,{;
   MakeCell("Col 1","20","l","LT","",0,"","",""),;
   MakeCell("Col 2","20","l","LT","",0,"","",""),;
   MakeCell("Col 3","20","l","LT","",0,"","",""),;
   MakeCell("Col 4","20","l","LT","",0,"","",""),;
   MakeCell("10,00","20","r","LTR","",0,"","","")})
   *
   c1 := RtfStyle(" 10,00","b",FNT_ARIAL,"22",'9')
   RTF_WriteRow(TAB_5,{;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("","20","l","T","",0,"","",""),;
   MakeCell("Total","20","r","T","",0,"","",""),;
   MakeCell(EUROSYMB+c1,"20","r","QLTRB","b",0,"","","",'B30')})
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell("Inside of the cells the text can be aligned :","20","l","","iu",0,"","",""))
   RTF_WriteRow(3,{;
   MakeCell("on the left","20","l","","",0,"","",""),;
   MakeCell("on the center","20","c","","",0,"","",""),;
   MakeCell("on the right","20","r","","",0,"","","")})
   RTF_WriteRow(TAB_3,{;
   MakeCell("on|more|lines","20","c","","",0,"","",""),;
   MakeCell("on the middle","20","cw","","",0,"","",""),;
   MakeCell("on the top"   ,"20","ct","","",0,"","","")})
   *
   RTF_EmptyRow()
   RTF_BookMark('_page01c')
   RTF_WriteFree(MakeCell("colored:","20","l","","iu",0,"","",""))
   RTF_WriteRow(TAB_5,{;
   MakeCell("Color 1","20","c","","",0,"","","1/9"),;
   MakeCell("Color 2","20","c","","",0,"","","2/8"),;
   MakeCell("Color 3","20","c","","",0,"","","3/1"),;
   MakeCell("Color 4","20","c","","",0,"","","4/6"),;
   MakeCell("Color 5","20","c","","",0,"","","5/4")})
   RTF_WriteRow(TAB_5,{;
   MakeCell("Color 6","20","c","","",0,"","","6"),;
   MakeCell("Color 7","20","c","","",0,"","","7"),;
   MakeCell("Color 8","20","c","","",0,"","","8"),;
   MakeCell("Color 9","20","c","","",0,"","","9"),;
   MakeCell("Color 10","20","c","","",0,"","","10")})
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell("...and colored","20","l","","",0,"","","9/11"))
   *
   RTF_EmptyRow()
   RTF_WriteRow(TAB_1,{;
   MakeCell("Col 1","20","l","L9;T9;B9;R9","",0,"","","")})
   RTF_EmptyRow()
   RTF_WriteRow(TAB_2,{;
   MakeCell("Col 1","20","l","L10;T10;B10","",0,"","",""),;
   MakeCell("Col 2","20","l","L0;T12;B12;R12","",0,"","","")})
   *
  *RTF_WriteFree(MakeCell("insertion of date and number page in the cell :","20","l","","iu",0,"","",""))
  *RTF_WriteRow(TAB_3,{;
  *MakeCell(""     ,"20","l","","",0,"","",""),;
  *MakeCell(""     ,"20","c","","",0,"d","",""),;
  *MakeCell("Page ","20","r","","",0,"p","","")})
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell("insertion new page and change orientation:","20","l","","iu",0,"","",""))
   *
Return
*
Procedure Page2()
 Local cBar
 Local c1
 Local c2
 *
   RTF_EmptyRow()
   cBar  := MkCodeBar("5030159000991")
   RTF_WriteFree(MakeCell("insertion of barcode:","20","l","","iu",0,"","",""))
   RTF_WriteFree(MakeCell(;
   'EAN8 '+MkCodeBar("51112881")+;
   '   EAN13 '+cBar+;
   '   and  '+MkCodeBar("5030159000991",150,150),"20","l","","",0,"","",""))
   *
   RTF_EMPTYROW()
   RTF_WriteFree(MakeCell("with some small trick it is possible to insert images:","20","l","","iu",0,"","",""))
   RTF_EMPTYROW()
   *
   c1 := RtfStyle('how to put images in the document:',"bu","0","24",'0')
   c1 += '|'+RtfStyle("1. ","b",'0',"24","0")+'open a new document in Word'
   c1 += '|'+RtfStyle("2. ","b",'0',"24","0")+'insert in the image of interest'
   c1 += '|'+RtfStyle("3. ","b",'0',"24","0")+'save the document in rtf format'
   c1 += '|'+RtfStyle("4. ","b",'0',"24","0")+'extract code from rtf with function ExtractWallpaperFromRtf (word2003) or ExtractWordartFromRtf (word2007)'
   c1 += '|'+RtfStyle("5. ","b",'0',"24","0")+'import the text file into the document you want to create'
   *
   c2 := RtfStyle('John Fogerty - American Rock Legend',"b","0","24",'0')
   *
   RTF_WRITEROW(TAB_2,{;
   MakeCell(MemoRead("FOGERTY.DAT"),"20","c","","",0,"","",""),;
   MakeCell(c1,"20","w","","",0,"","","")})
   *
   RTF_WRITEROW(TAB_2,{;
   MakeCell(c2,"24","c","","b",0,"","",""),;
   MakeCell('',"20","l","","",0,"","","")})
   *
   RTF_EMPTYROW()
   Rtf_WriteFree(MakeCell(MemoRead(".\img\John Fogerty2.txt"),"20","j","","",0,"","",""))
   RTF_EMPTYROW()
   RTF_Hyperlink('http://www.johnfogerty.com/')
   *
Return
*
Procedure Page3()
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell("Cargo functionality:","20","l","","iu",0,"","",""))
   RTF_EMPTYROW()
   *
   RTF_WriteFree(MakeCell("background pattern:","20","l","","",0,"","",""))
   RTF_EMPTYROW()
   *
   RTF_WriteRow(TAB_5,{;
   MakeCell("A10","20","c","","b",0,"","" ,"",'A10'),;
   MakeCell("A11","20","c","","b",0,"","" ,"",'A11'),;
   MakeCell("A12","20","c","","b",0,"","" ,"",'A12'),;
   MakeCell("A13","20","c","","b",0,"","" ,"",'A13'),;
   MakeCell("A14","20","c","","b",0,"","" ,"",'A14')})
   *
   RTF_WriteRow(TAB_5,{;
   MakeCell("A15","20","c","","b",0,"","" ,"",'A15'),;
   MakeCell("A16","20","c","","b",0,"","" ,"",'A16'),;
   MakeCell("A17","20","c","","b",0,"","" ,"",'A17'),;
   MakeCell("A18","20","c","","b",0,"","" ,"",'A18'),;
   MakeCell("A19","20","c","","b",0,"","" ,"",'A19')})
   *
   RTF_WriteRow(TAB_5,{;
   MakeCell("A20","20","c","","b",0,"","" ,"",'A20'),;
   MakeCell("A21","20","c","","b",0,"","" ,"",'A21'),;
   MakeCell("A22","20","c","","b",0,"","" ,"",'A22'),;
   MakeCell("   ","20","c","","b",0,"","" ,"",''),;
   MakeCell("   ","20","c","","b",0,"","" ,"",'')})
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell('A10',"20","c","","",0,"","","",'A10'))
   RTF_WriteFree(MakeCell('A11',"20","c","","",0,"","","",'A11'))
   RTF_WriteFree(MakeCell('A12',"20","c","","",0,"","","",'A12'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell("inside the cells:","20","l","","",0,"","",""))
   *
   RTF_WriteRow(TAB_5,{;
   MakeCell("B10","20","c","","b",0,"","" ,"",'B10'),;
   MakeCell("B15","20","c","","b",0,"","" ,"",'B15'),;
   MakeCell("B20","20","c","","b",0,"","" ,"",'B20'),;
   MakeCell("B25","20","c","","b",0,"","" ,"",'B25'),;
   MakeCell("B30","20","c","","b",0,"","" ,"",'B30')})
   *
   RTF_EmptyRow()
   *
   RTF_WriteFree(MakeCell("otherwise:","20","l","","",0,"","",""))
   RTF_WriteFree(MakeCell('C10',"20","l","","",0,"","","",'C10'))
   RTF_WriteFree(MakeCell('C15',"20","l","","",0,"","","",'C15'))
   RTF_WriteFree(MakeCell('C20',"20","l","","",0,"","","",'C20'))
   RTF_WriteFree(MakeCell('C25',"20","l","","",0,"","","",'C25'))
   RTF_WriteFree(MakeCell('C30',"20","l","","",0,"","","",'C30'))
   *
   RTF_EmptyRow()
   *
Return
*
Procedure Page4()
Local c1
Local c2
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell('text vertical:',"20","l","","u",0,"","",""))
   RTF_EMPTYROW()
   *
   RTF_WriteRow(TAB_6,{;
   MakeCell("center+left"  ,"20","c","LT" ,"",0,"","","",""),;
   MakeCell("center+center","20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+right" ,"20","c","LT" ,"",0,"","","",''),;
   MakeCell("center right" ,"20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+center","20","c","LT" ,"",0,"","","",''),;
   MakeCell("center+left"  ,"20","c","LTR","",0,"","","",'')})
   *
   RTF_WriteRow(TAB_6,{;
   MakeCell("D;H30-lw","20","wl","TLB" ,"b",0,"","","","D;H30"),;
   MakeCell("D;H30-cw","20","wc","TLB" ,"b",0,"","","",'D;H30'),;
   MakeCell("D;H30-rw","20","wr","TLB" ,"b",0,"","","",'D;H30'),;
   MakeCell("E;H30-rw","20","rw","TLB" ,"b",0,"","","",'E;H30'),;
   MakeCell("E;H30-cw","20","cw","TLB" ,"b",0,"","","",'E;H30'),;
   MakeCell("E;H30-lw","20","lw","TLBR","b",0,"","","",'E;H30')})
   *
   c1 := RtfStyle("\u8593\'3f","b",FNT_ARIAL,"30","")
   c2 := RtfStyle("\u8595\'3f","b",FNT_ARIAL,"30","")
   *
   RTF_WriteFree(MakeCell('Where:',"20","l","","u",0,"","",""))
   RTF_WriteFree(MakeCell("D  = Cargo code text "+c1 ,"20","l","","",0,"9","",""))
   RTF_WriteFree(MakeCell("E  = Cargo code text "+c2 ,"20","l","","",0,"9","",""))
   RTF_WriteFree(MakeCell("H  = Cargo code Heigth cell"   ,"20","l","","",0,"9","",""))
   RTF_WriteFree(MakeCell('30 = Height cell (mm)'    ,"20","l","","",0,"9","",""))
   *
   RTF_EmptyRow()
   *
   RTF_WriteFree(MakeCell('mergings cells:',"20","l","","u",0,"","",""))
   *
   c1 := RtfStyle("Appellido y Nombres| Razn Social:","","0","12")
   c2 := RtfStyle("Docum.Ident. |  C.U.I.T.","","0","12")
   *
   RTF_WriteRow(TAB_7,{;
   MakeCell("Requirente N.1","24","cw","LT","",0,"","","",'A22;F'),;
   MakeCell(c1     ,"20","r","LT" ,"",0,"","",""),;
   MakeCell(''     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(c2     ,"20","c","LT" ,"",0,"","",""),;
   MakeCell(""     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(""     ,"20","l","TR" ,"",0,"","","",'B10')})
   *
   RTF_WriteRow(TAB_8,{;
   MakeCell(""               ,"20","l","L"  ,"",0,"","","",'G'),;
   MakeCell("|Domicilio Real:","14","r","LT","",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Torre/Bloque:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Piso:"          ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""               ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Dpto:"          ,"14","l","LT"  ,"",0,"","",""),;
   MakeCell(""               ,"20","l","TR","",0,"","","",'B10')})
   *
   RTF_WriteRow(TAB_9,{;
   MakeCell(""            ,"20","l","L" ,"",0,"","","",'G'),;
   MakeCell("Localidad:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Provincia:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Cod.|Postal:","14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR","",0,"","","",'B10')})
   *
   RTF_WriteRow(TAB_10,{;
   MakeCell(""          ,"20","l","LB" ,"",0,"","","",'G'),;
   MakeCell("|Telefono:","14","r","LTB" ,"",0,"","",""),;
   MakeCell(""          ,"20","l","TB"  ,"",0,"","","",'B10'),;
   MakeCell("E-Mail:"   ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""          ,"20","l","TBR" ,"",0,"","","",'B10')})
   *
   RTF_WriteFree(MakeCell('where cargo code is:',"20","l","","u",0,"","",""))
   RTF_WriteRow(TAB_7,{;
   MakeCell("A22;F","20","cw","LT","",0,"","","9",''),;
   MakeCell(c1     ,"20","r","LT" ,"",0,"","",""),;
   MakeCell(''     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(c2     ,"20","c","LT" ,"",0,"","",""),;
   MakeCell(""     ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell(""     ,"20","l","TR" ,"",0,"","","",'B10')})
   *
   RTF_WriteRow(TAB_8,{;
   MakeCell("G"               ,"20","cw","L"  ,"",0,"","","9",''),;
   MakeCell("|Domicilio Real:","14","r","LT","",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Torre/Bloque:"   ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Piso:"           ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""                ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Dpto:"           ,"14","l","LT"  ,"",0,"","",""),;
   MakeCell(""                ,"20","l","TR","",0,"","","",'B10')})
   *
   RTF_WriteRow(TAB_9,{;
   MakeCell("G"            ,"20","cw","L" ,"",0,"","","9",''),;
   MakeCell("Localidad:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Provincia:"  ,"14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","T"  ,"",0,"","","",'B10'),;
   MakeCell("Cod.|Postal:","14","r","LT" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR","",0,"","","",'B10')})
   *
   RTF_WriteRow(TAB_10,{;
   MakeCell("G"           ,"20","cw","LB" ,"",0,"","","9",''),;
   MakeCell("|Telefono:"  ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TB"  ,"",0,"","","",'B10'),;
   MakeCell("E-Mail:"     ,"14","r","LTB" ,"",0,"","",""),;
   MakeCell(""            ,"20","l","TBR" ,"",0,"","","",'B10')})
   *
   RTF_EmptyRow()
   RTF_WriteRow(TAB_5,{;
   MakeCell("B10;F","20","cw","LT" ,"",0,"","","9",'B10;F'),;
   MakeCell(""     ,"20","l" ,"LT" ,"",0,"","",""),;
   MakeCell("B20;F","20","cw","LT" ,"",0,"","","9",'B20;F'),;
   MakeCell(""     ,"20","l" ,"LT" ,"",0,"","",""),;
   MakeCell("B30;F","20","cw","LTR","",0,"","","9",'B30;F')})
   *
   RTF_WriteRow(TAB_5,{;
   MakeCell("","20","l","LT" ,"",0,"","","",'B10;G'),;
   MakeCell("","20","l","LT" ,"",0,"","",""),;
   MakeCell("","20","l","LT" ,"",0,"","","",'B20;G'),;
   MakeCell("","20","l","LT" ,"",0,"","",""),;
   MakeCell("","20","l","LTR","",0,"","","",'B30;G')})
   *
   RTF_WriteRow(TAB_5,{;
   MakeCell("","20","l","LTB" ,"",0,"","","",'B10;G'),;
   MakeCell("","20","l","LTB" ,"",0,"","",""),;
   MakeCell("","20","l","LTB" ,"",0,"","","",'B20;G'),;
   MakeCell("","20","l","LTB" ,"",0,"","",""),;
   MakeCell("","20","l","LTRB","",0,"","","",'B30;G')})
   *
Return
*
Procedure Page5()
Local c1
Local c2
*
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell('Bullets and Numbering',"30","c","","ub",0,"","","",''))
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   c2 := RtfStyle("  (1)","Xb",'0',"20","9")
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell(RtfStyle("1. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("2. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("3. \tab","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   *
   RTF_WriteFree(MakeCell(RtfStyle("3.1 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   RTF_WriteFree(MakeCell(RtfStyle("3.2 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   RTF_WriteFree(MakeCell(RtfStyle("3.3 ","b",'0',"24","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   RTF_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   RTF_WriteFree(MakeCell(RtfStyle("\bullet\tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I16'))
   *
   RTF_EmptyRow()
   *
   RTF_EmptyRow()
   c2 := RtfStyle("Differences:","ub",'0',"30","")
   c2 += RtfStyle("  (*)","Xb",'0',"20","9")
   RTF_WriteFree(MakeCell(c2,"20","l","","",0,"","","",''))
   RTF_WriteFree(MakeCell('J-08;I08',"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J-08;I08'))
   RTF_WriteFree(MakeCell('J0;I08',"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J0;I08'))
   RTF_WriteFree(MakeCell('J08;I08',"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(RtfStyle("1. \tab","",'0',"20","0")+c1,"20","j","","",0,"","","",'J08;I08'))
   *
   RTF_EmptyRow()
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell("Remember:","20","l","","u",0,"","","",''))
   c2 := RtfStyle("(*)  ","Xb",'0',"20","9")
   c2 += RtfStyle([ first J and after I],"",'',"14","0")
   RTF_WriteFree(MakeCell(c2,"20","l","","",0,"","","",''))
   *
Return
*
Procedure Page6()
Local c1
   *
   RTF_EmptyRow()
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   *
   RTF_WriteFree(MakeCell([First Row Indent "J10" (Where 10 == mm):],"30","c","","bu",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'J10'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Left Indent "I90" (Where 90 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'I90'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Right Indent "K90" (Where 90 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'K90'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Center Indent "K45;I45" (Where 45 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1,"20","j","","",0,"","","",'K45;I45'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Space before "L03" (Where 03 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",'L03'))
   *
   RTF_EmptyRow()
   RTF_WriteFree(MakeCell([Space after "M03" (Where 03 == mm):],"30","c","","ub",0,"","","",''))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",'M03'))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   RTF_EmptyRow()
   *
Return
*
Procedure Page7()
Local c1
   *
   RTF_EmptyRow()
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   *
   RTF_WriteFree(MakeCell([Line Spacing],"30","c","","ub",0,"","","",''))
   RTF_EmptyRow()
   RTF_HROW('240')
   RTF_WriteFree(MakeCell('Line spacing 240   (default)',"20","l","","b",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1+c1+c1,"20","j","","",0,"","","",''))
   RTF_EmptyRow()
   *
   RTF_HROW('360')
   RTF_WriteFree(MakeCell('Line spacing 360   (default x 1.5)',"20","l","","b",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1+c1+c1,"20","j","","",0,"","","",''))
   RTF_EmptyRow()
   *
   RTF_HROW('480')
   RTF_WriteFree(MakeCell('Line spacing 480   (default x 2)',"20","l","","b",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1+c1+c1,"20","j","","",0,"","","",''))
   RTF_EmptyRow()
   *
   RTF_HROW('600')
   RTF_WriteFree(MakeCell('Line spacing 600   (default x 2.5)',"20","l","","b",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1+c1+c1,"20","j","","",0,"","","",''))
   *
   RTF_HROW('-240')
   RTF_WriteFree(MakeCell('Line spacing -240   (Return default)',"20","l","","b",0,"","","",''))
   RTF_WriteFree(MakeCell(c1+c1+c1+c1,"20","j","","",0,"","","",''))
   *
   RTF_HROW('240')
   *
Return
*
Procedure Page8()
Local c1,i
   *
   RTF_EmptyRow()
   *
   c1 := "Arial, Helvetica, Times New Roman, Tms Rmn, Roman, Modern, MS_Linedraw, Advocr_B, Lucida Console, Courier New, TW Cent."
   *
   RTF_SETCOLUMNS('1')
   Rtf_WriteFree(MakeCell([2 Columns],"30","c","","ub",0,"","","",''))
   RTF_EmptyRow()
   *
   RTF_SETCOLUMNS('2')
   Rtf_WriteFree(MakeCell(MemoRead(".\img\FOGERTY.txt"),"20","c","","",0,"","",""))
   RTF_WriteFree(MakeCell('John Fogerty - American Rock Legend',"20","c","","",0,"","","",''))
   RTF_BRKCOL()
   Rtf_WriteFree(MakeCell(MemoRead(".\img\John Fogerty2.txt"),"20","j","","",0,"","",""))
   *
   RTF_SETCOLUMNS('1')
   RTF_EmptyRow()
   Rtf_WriteFree(MakeCell([2 Columns Type A],"30","c","","ub",0,"","","",''))
   RTF_EmptyRow()
   *
   RTF_SETCOLUMNS('2','A')
   Rtf_WriteFree(MakeCell(c1+c1+c1+c1,"20","j","","",0,"","","",''))
   *
   RTF_SETCOLUMNS('1')
   *
   Rtf_WriteFree(MakeCell([2 Columns Type B],"30","c","","ub",0,"","","",''))
   *
   RTF_SETCOLUMNS('2','B')
   Rtf_WriteFree(MakeCell(c1+c1+c1,"20","j","","",0,"","","",''))
   RTF_BRKCOL()
   Rtf_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   *
   RTF_SETCOLUMNS('1')
   RTF_WriteFree(MakeCell([3 Columns],"30","c","","ub",0,"","","",''))
   RTF_SETCOLUMNS('3')
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   RTF_BRKCOL()
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   RTF_BRKCOL()
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   RTF_WriteFree(MakeCell(c1,"20","j","","",0,"","","",''))
   *
   RTF_SETCOLUMNS('1')
   RTF_WriteFree(MakeCell([4 Columns],"30","c","","ub",0,"","","",''))
   RTF_SETCOLUMNS('4')
   RTF_WriteFree(MakeCell(c1+c1+c1+c1+c1+c1,"20","j","","",0,"","","",''))
   *
Return
*
Procedure Page9()
   LOCAL c2,c3,c4,c5
   *
   c3 := [Su Nuraxi is a nuragic archaeological site in Barumini, Sardinia, Italy. ]+;
         [It was inscribed on the UNESCO list of World Heritage Sites in 1997 as ]+;
         [Su Nuraxi di Barumini. ]+;
         [Su Nuraxi simply means "the nuraghe" in Campidanese, the southern variant of Sardinian. ]+;
         [The complex is centred around a three-storey tower built around the 16th century BC. ]+;
         [At this site Italian archaeologist Giovanni Lilliu discovered a fortified village that ]+;
         [at times had been covered by ground and had become a hill. He did the first excavations here in the 1950s. ]+;
         [This site would become important to the timeline of Sardinian civilization: ]+;
         ["The relative chronology of Sardinian prehistory is largely based on the first modern ]+;
         [excavation of a nuraghe at Su Nuraxi, Barumini. ]+;
         [Giovanni Lilliu . . . used a combination of structural phases and pottery typology to ]+;
         [construct a general Nuragic sequence."]
   *
   c4 := [The beach of Cala Goloritze' is located along sardinian northeastern coast, in the north of Arbatax. ]+;
         [In 1995 it was elected "Italian National Monument" and it is the most ]+;
         [photographed beach in the Ogliastra area. The bottom is clear and 30 m. ]+;
         [high. The white pubbled beach is unique of its kind and its waters colder than normal.]
         *
   c5 := [In room number 57 of the British Museum are exhibited ]+;
         [artifacts from Tharros. Some artifacts are visible through ]+;
         [the website of the museum prestigious. In the eighteenth ]+;
         [century these relics, jewelry and figurines from the Punic ]+;
         [tombs near Tharros, were acquired by the museum and are now ]+;
         [part of the permanent exhibition. The British Museum has published ]+;
         [a catalog of jewelry and other artifacts Tharros: RD Barnett and C. ]+;
         [Mendleson (eds), Tharros: a catalog of materials ]+;
         [(London, The British Museum Press, 1987).]+;
         [|(by http://www.tharros.info)]
   *
   RTF_EmptyRow()
   Rtf_WriteFree(MakeCell([Sardinia Is The My Land],"30","c","","ub",0,"","","",''))
   RTF_EmptyRow()
   RTF_SETCOLUMNS('3')
   Rtf_WriteFree(MakeCell(MemoRead(".\img\SuNuraxi.txt"),"20","c","","",0,"","",""))
   Rtf_WriteFree(MakeCell('Barumini-Sardinia-Italy',"20","c","","b",0,"","",""))
   Rtf_Hyperlink('https://www.youtube.com/watch?v=Wu5nibqWLj0')
   Rtf_WriteFree(MakeCell('From Wikipedia, the free encyclopedia',"20","c","","iu",0,"","","",''))
   Rtf_WriteFree(MakeCell('Su Nuraxi di Barumini (Italy)',"24","c","","b",0,"","","",''))
   Rtf_WriteFree(MakeCell(c3,"20","j","","",0,"","","",''))
   *
   RTF_BRKCOL()
   *
   Rtf_WriteFree(MakeCell(MemoRead(".\img\Goloritze.txt"),"20","c","","",0,"","",""))
   Rtf_WriteFree(MakeCell('Baunei-Sardinia-Italy',"20","c","","b",0,"","",""))
   Rtf_Hyperlink('https://www.youtube.com/watch?v=WCYh7FhxHX0&feature=fvsr')
   Rtf_WriteFree(MakeCell(c4,"20","j","","",0,"","","",''))
   *
   Rtf_WriteFree(MakeCell(MemoRead(".\img\Nuraghe.txt"),"20","c","","",0,"","",""))
   Rtf_WriteFree(MakeCell('Nuraghe Is Paras-Isili-Sardinia-Italy',"20","c","","b",0,"","",""))
   Rtf_Hyperlink('http://www.youtube.com/watch?v=xqFIISUAOAM')
   *
   RTF_BRKCOL()
   *
   RTF_EmptyRow()
   Rtf_WriteFree(MakeCell(MemoRead(".\img\Tharros.txt"),"20","c","","",0,"","",""))
   Rtf_WriteFree(MakeCell('Tharros-Sardinia-Italy',"20","c","","b",0,"","",""))
   Rtf_Hyperlink('https://www.youtube.com/watch?v=jxhSDzWpE-M')
   Rtf_WriteFree(MakeCell(c5,"20","j","","",0,"","","",''))
   Rtf_WriteFree(MakeCell(MemoRead(".\img\Greetings.txt"),"20","c","","",0,"","",""))
   Rtf_WriteFree(MakeCell(GetHyperlink('mailto:brunellopulix@yahoo.it'),"20","c","","",0,"","","",''))
   *
Return
*
Procedure Summary()
   *
   RTF_WriteBmp(".\img\Welcome2.txt")
   *
   RTF_HROW('480')
   RTF_EMPTYROW()
   *
   Rtf_WriteFree(MakeCell([Summary],"30","c","","ub",0,"","","",''))
   RTF_EMPTYROW()
   *
   MakeSummary([The XRTF Class Font,Color,Alignment],"01","01" ,'1')
   MakeSummary([Making Tables and Borders]          ,"01","01b",'1')
   MakeSummary([Colors]                             ,"01","01c",'1')
   MakeSummary([Insertion Barcode and images]       ,"02","02" ,'2')
   MakeSummary([Background pattern]                 ,"03","03" ,'3')
   MakeSummary([Text Vertical-Mergins cells]        ,"04","04" ,'4')
   MakeSummary([Bullets and Numering]               ,"05","05" ,'5')
   MakeSummary([Indentation of text]                ,"06","06" ,'6')
   MakeSummary([Line Spacing]                       ,"07","07" ,'7')
   MakeSummary([Multicolumns 1-2-3-4]               ,"08","08" ,'12')
   MakeSummary([Greetings]                          ,"09","09" ,'9')
   *
   RTF_HROW('240')
   *
   RTF_EMPTYROW()
   RTF_EMPTYROW()
   RTF_EMPTYROW()
   RTF_EMPTYROW()
   RTF_EMPTYROW()
   RTF_EMPTYROW()
   RTF_EMPTYROW()
   Rtf_WriteFree(MakeCell([This it's only a idea],"30","c","","ub",0,"","","",''))
   *
Return
*
Procedure MakeIndexLink()
RTF_WriteFree(MakeCell(GetLinkPage('Summary','_index'),"20","r","","",0,"","",""))
Return
*
Procedure MakeSummary(cCaption,cPage,cId,cColor)
Local c1
*
c1 := GetLinkPage(padr(cCaption,55,'.')+'Pag. ['+cPage+']','_page'+cId,cColor)
*
Rtf_WriteFree(MakeCell(c1,"24","l","","i",0,"",FNT_LUCIDA_CONSOLE,"",''))
*
Return
*
Procedure PutHeader()
   *
   RTF_OpenHeader('')
   RTF_WriteRow(TAB_1,{MakeCell('XRTF Class Demostration',"20","c","B","",0,"","","")})
   RTF_CloseTag()
   *
Return
*
Procedure PutFooter()
   *
   RTF_OpenFooter('')
   RTF_WriteRow(TAB_1,{MakeCell('Compiled with '+Version(),"20","c","T","",0,"","","")})
   RTF_CloseTag()
   *
Return

*\annotprot
*\formprot
*\revprot
