***************************************
* author Brunello Pulix
*        Cagliari (Italy)
*        brunellopulix@yahoo.it
*        placed in the public domain
***************************************
*
# include 'hmg.Ch'
# include 'hbRTF.Ch'
*
Function Customers()
   LOCAL oRtf
   LOCAL aTable
   LOCAL aBody
   *
   USE CUSTOMER new
   DBGOTOP()
   *
   aTable := {}
   AAdd(aTable,{100})
   AAdd(aTable,{50,50})
   AAdd(aTable,{6,15,15,17,15,5,6,11,10})
   AAdd(aTable,{25,25,25,25})
   *
   oRtf := XRTF():New(RTF_FILE,aTable,LANDSCAPE,FNT_ARIAL,"20",nil,.F.)
   *
   aBody := {}
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","1/11"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","2"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","3"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","4"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","5"))
   AAdd(aBody,MakeCell("","20","c","L" ,"",0,"","","6"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","7"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","8"))
   AAdd(aBody,MakeCell("","20","l","LR","",0,"","","9"))
   *
   DO WHILE Customer->(!EOF())
      *
      oRTF:WriteFree(MakeCell(Memoread("IMG1.DAT"),"20","l","","",0,"","",""))
      *
      oRtf:WriteRow(TAB_4,{;
      MakeCell("Customers","40","l","","",0,"" ,"",""),;
      MakeCell(""         ,"20","l","","",0,"" ,"",""),;
      MakeCell(""         ,"20","c","","",0,"d","",""),;
      MakeCell("page "    ,"20","r","","",0,"p","","")})
      *
      oRtf:WriteRow(TAB_3,{;
      MakeCell("CustNum"  ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("FirstName","20","c","LTB" ,"",0,"","",""),;
      MakeCell("LastName" ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Address"  ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("City"     ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("State"    ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Zip"      ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Phone"    ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Fax"      ,"20","c","LTBR","",0,"","","")})
      *
      DO WHILE Customer->(!EOF())
         *
         aBody[1]:Label := StrZero(Customer->CUSTNUM,4)
         aBody[2]:Label := Customer->FIRSTNAME
         aBody[3]:Label := Customer->LASTNAME
         aBody[4]:Label := Customer->ADDRESS
         aBody[5]:Label := Customer->CITY
         aBody[6]:Label := Customer->STATE
         aBody[7]:Label := Customer->ZIP
         aBody[8]:Label := Customer->PHONE
         aBody[9]:Label := Customer->FAX
         *
         oRtf:WriteRow(TAB_3,aBody)
         *
         Customer->(DBSKIP())
         IF oRtf:CurRow == 35
            EXIT
         ENDIF
         *
      ENDDO
      *
      IF Customer->(!EOF())
         oRtf:WriteRow(TAB_1,{MakeCell("Continue","20","l","T","",0,"","","")})
      ELSE
         oRtf:WriteRow(TAB_1,{MakeCell("End","20","l","T","",0,"","","")})
         oRtf:NewSection()
         oRtf:SetOrientation('L')
      ENDIF
      *
   ENDDO
   oRtf:Close()
   CLOSE  Customer
   *
   RUN_WORD(RTF_FILE)
   *
Return
*
Function Customers2()
   LOCAL aTable
   LOCAL aBody
   *
   USE CUSTOMER new
   DBGOTOP()
   *
   aTable := {}
   AAdd(aTable,{100})
   AAdd(aTable,{50,50})
   AAdd(aTable,{6,15,15,17,15,5,6,11,10})
   AAdd(aTable,{25,25,25,25})
   *
   RTF_OPEN(RTF_FILE,aTable,LANDSCAPE,FNT_ARIAL)
   *
   aBody := {}
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","1"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","2"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","3"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","4"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","5"))
   AAdd(aBody,MakeCell("","20","c","L" ,"",0,"","","6"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","7"))
   AAdd(aBody,MakeCell("","20","l","L" ,"",0,"","","8"))
   AAdd(aBody,MakeCell("","20","l","LR","",0,"","","9"))
   *
   DO WHILE Customer->(!EOF())
      *
      RTF_WriteFree(MakeCell(Memoread("IMG1.DAT"),"20","l","","",0,"","",""))
      *
      RTF_WRITEROW(TAB_4,{;
      MakeCell("Customers","40","l","","",0,"" ,"",""),;
      MakeCell(""         ,"20","l","","",0,"" ,"",""),;
      MakeCell(""         ,"20","c","","",0,"d","",""),;
      MakeCell("page "    ,"20","r","","",0,"p","","")})
      *
      RTF_WRITEROW(TAB_3,{;
      MakeCell("CustNum"  ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("FirstName","20","c","LTB" ,"",0,"","",""),;
      MakeCell("LastName" ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Address"  ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("City"     ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("State"    ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Zip"      ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Phone"    ,"20","c","LTB" ,"",0,"","",""),;
      MakeCell("Fax"      ,"20","c","LTBR","",0,"","","")})
      *
      DO WHILE Customer->(!EOF())
         *
         aBody[1]:Label := StrZero(Customer->CUSTNUM,4)
         aBody[2]:Label := Customer->FIRSTNAME
         aBody[3]:Label := Customer->LASTNAME
         aBody[4]:Label := Customer->ADDRESS
         aBody[5]:Label := Customer->CITY
         aBody[6]:Label := Customer->STATE
         aBody[7]:Label := Customer->ZIP
         aBody[8]:Label := Customer->PHONE
         aBody[9]:Label := Customer->FAX
         *
         RTF_WRITEROW(TAB_3,aBody)
         *
         Customer->(DBSKIP())
         IF RTF_CURROW() == 35
            EXIT
         ENDIF
         *
      ENDDO
      *
      IF Customer->(!EOF())
         RTF_WRITEROW(TAB_1,{MakeCell("Continue","20","l","T","",0,"","","")})
      ELSE
         RTF_WRITEROW(TAB_1,{MakeCell("End","20","l","T","",0,"","","")})
         RTF_NewSection()
         RTF_SETORIENTATION('L')
      ENDIF
      *
   ENDDO
   RTF_Close()
   CLOSE  Customer
   *
   RUN_WORD(RTF_FILE)
   *
Return
*
