***************************************
* author Brunello Pulix
*        Cagliari (Italy)
*        brunellopulix@yahoo.it
*        placed in the public domain
***************************************
*
# include 'hmg.Ch'
# include 'hbRTF.Ch'
*
Function Symmetric()
   LOCAL oRtf
   LOCAL aTable
   LOCAL n,c1,c2
   *
   *
   c1        := MemoRead('IMG1.DAT')
   c2        := StrTran(c1,"\ql ","\qr ")
   *
   aTable := {}
   AAdd(aTable,{100})
   *
   oRtf := XRTF_Symmetric():New(RTF_FILE,aTable,PORTRAIT,FNT_ARIAL)
   *
   For n := 1 To 6
      oRtf:WriteFree(MakeCell(if(n%2>0,c2,c1),"20",'l',"","",0,"","",""))
      oRtf:WriteRow(TAB_1,{MakeCell("|||||Symmetric Test|||||","60","c","LTRB","",0,"" ,"","")})
      oRtf:NewSection()
      oRtf:SetOrientation('P')
   Next
   oRtf:Close()
   *
   RUN_WORD(RTF_FILE)
   *
Return
*
Class XRTF_Symmetric Inherit XRTF
*
METHOD New(cFile,aTable,cOrient,cFont)
*
EndClass
*
Method New(cFile,aTable,cOrient,cFont) Class XRTF_Symmetric
*
Super:New(cFile,aTable,cOrient,cFont,nil,{210,297,55,40,20,20},.T.)
*
Return self
*
